Bug 243206 - biology/muscle: update to 3.8.1551
Summary: biology/muscle: update to 3.8.1551
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-01-09 05:16 UTC by Motomichi Matsuzaki
Modified: 2020-01-17 16:49 UTC (History)
1 user (show)

See Also:


Attachments
svn diff for biology/muscle to 3.8.1551 (8.20 KB, patch)
2020-01-09 05:16 UTC, Motomichi Matsuzaki
no flags Details | Diff
a patch for fixing build on -current (354 bytes, patch)
2020-01-15 07:15 UTC, Motomichi Matsuzaki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Motomichi Matsuzaki 2020-01-09 05:16:30 UTC
Created attachment 210555 [details]
svn diff for biology/muscle to 3.8.1551

Update biology/muscle to 3.8.1551

This includes a bug fix for long sequences.

Other changes on this port:
*unbreak '/dev/tty' problem during a build
*MAINTAINER mail address

The port passed poudriere testport in my environment (11.3 amd64/i386).
Comment 1 Bugzilla Automation freebsd_committer 2020-01-09 05:16:30 UTC
Maintainer informed via mail
Comment 2 Automation User 2020-01-09 05:40:11 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/107995755
Comment 3 commit-hook freebsd_committer 2020-01-13 17:42:56 UTC
A commit references this bug:

Author: fernape
Date: Mon Jan 13 17:42:23 UTC 2020
New revision: 522911
URL: https://svnweb.freebsd.org/changeset/ports/522911

Log:
  biology/muscle: update to 3.8.1551

   * Bug fix for long sequences.
   * Unbreak '/dev/tty' problem during a build
   * Update maintainer's mail address

  PR:	243206
  Submitted by:	mzaki@e-mail.ne.jp (maintainer)

Changes:
  head/biology/muscle/Makefile
  head/biology/muscle/distinfo
  head/biology/muscle/files/patch-Makefile
  head/biology/muscle/files/patch-globalslinux.cpp
  head/biology/muscle/files/patch-mk
Comment 4 Fernando Apesteguía freebsd_committer 2020-01-13 17:43:11 UTC
Committed,

Thanks!
Comment 5 Motomichi Matsuzaki 2020-01-15 07:15:33 UTC
Created attachment 210754 [details]
a patch for fixing build on -current

pkg-fallout reported a build failure on 13.0-CURRENT,
so this is the fix.
Comment 6 Fernando Apesteguía freebsd_committer 2020-01-15 17:13:22 UTC
(In reply to Motomichi Matsuzaki from comment #5)
Weird, I always test on -CURRENT.

I tested in r356220 and builds just fine.

I will try to update to a more recent revision and retest.
Comment 7 Motomichi Matsuzaki 2020-01-16 02:54:20 UTC
(In reply to Fernando Apesteguía from comment #6)

I have tested on r356528 amd64 (freshly installed on bhyve).
The previous version failed, and the patched one succeeded.

Anyway, the source file subfams.cpp seems completely unused,
and it is not necessary to compile & link it, whenever it fails or not.
Comment 8 Fernando Apesteguía freebsd_committer 2020-01-16 05:55:16 UTC
(In reply to Motomichi Matsuzaki from comment #7)

OK, I'll do it today. Just for the record, in CURRENT r356762 builds fine for me.
Comment 9 commit-hook freebsd_committer 2020-01-17 16:49:12 UTC
A commit references this bug:

Author: fernape
Date: Fri Jan 17 16:49:03 UTC 2020
New revision: 523339
URL: https://svnweb.freebsd.org/changeset/ports/523339

Log:
  biology/muscle: unbreak in -CURRENT

  Don't compile problematic (and unnecessary) file.

  PR:	243206
  Submitted by:	mzaki@e-mail.ne.jp (maintainer)

Changes:
  head/biology/muscle/Makefile